<!--
  - SPDX-FileCopyrightText: 2015-2024 Nextcloud GmbH and Nextcloud contributors
  - SPDX-License-Identifier: AGPL-3.0-or-later
-->
# Announcement center

[![REUSE status](https://api.reuse.software/badge/github.com/nextcloud/announcementcenter)](https://api.reuse.software/info/github.com/nextcloud/announcementcenter)

![](docs/AnnouncementCenterFrontpage.png)

Announce your maintenance window 🎛️, introduce a new colleague 👤 or make sure everyone knows about the big event next month 📅

* 🖌️ Markdown support
* 📑 Comments including @-mentions
* 👪 Group permissions
* ⭕ Dashboard integration
* ⚡ Activities integration
* 🔔 Notifications integration

For further information see the [Changelog](https://github.com/nextcloud/announcementcenter/wiki/Changelog).

---

### Fork status

This app is a fork of [the original Announcement Center app](https://github.com/nextcloud/announcementcenter), pending the eventual integration of [PR #812](https://github.com/nextcloud/announcementcenter/pull/812) which allows admins to use Markdown for announcements, make Markdown rendering on the backend side, and improve the way announcements are displayed in notification e-mails.

---

### 🛠️ State of maintenance

While there are many things that could be done to further improve this app, the app is currently maintained with **limited effort**, due to the following reasons:

* The main target use-cases are working fine
* I'm a backend developer, but the next bigger features (inline attachments, emoji picker, mentions, reactions, …) require more frontend knowledge and time
* My work-focus shifted away from this app

I will continue to provide the level of maintenance I can afford, which is:

* Taking care that the app continues to work
* Make sure an update is available for compatibility with new Nextcloud server releases
* Provide feedback and background information to new or existing features

While I'm personally limited in resources to further advance this app I would be more than excited if you want to collaborate with me. I will merge pull requests for new features and frontend fixes.
